Platform
ScaiWave ScaiGrid ScaiCore ScaiBot ScaiDrive ScaiKey Models Tools & Services
Solutions
Organisations Developers Internet Service Providers Managed Service Providers AI-in-a-Box
Resources
Support Documentation Blog Downloads
Company
About Research Careers Investment Opportunities Contact
Log in

Admin — service entrypoints

4 endpoints in this group. All paths are prefixed with /api/v1.

Endpoints in this group#


GET /api/v1/admin/entrypoints — List Entrypoints {#get-api-v1-admin-entrypoints}#

List entrypoints, optionally filtered by service.

Parameters:

  • service_id (query, string, optional)
  • authorization (header, string, optional)

Responses:

  • 200 — Successful Response. Returns: ApiResponse_list_EntrypointResponse__ — {data, meta}
  • 422 — Validation Error. Returns: HTTPValidationError — {detail}

POST /api/v1/admin/entrypoints — Create Entrypoint {#post-api-v1-admin-entrypoints}#

Add an entrypoint to a service.

Parameters:

  • authorization (header, string, optional)

Body: EntrypointCreateRequest — {service_id, label, url_template, entry_type + 5 more}

Responses:

  • 201 — Successful Response. Returns: ApiResponse_EntrypointResponse_ — {data, meta}
  • 422 — Validation Error. Returns: HTTPValidationError — {detail}

DELETE /api/v1/admin/entrypoints/{entrypoint_id} — Delete Entrypoint {#delete-api-v1-admin-entrypoints-entrypoint-id}#

Delete an entrypoint.

Parameters:

  • entrypoint_id (path, string, required)
  • authorization (header, string, optional)

Responses:

  • 200 — Successful Response. Returns: ApiResponse_dict_ — {data, meta}
  • 422 — Validation Error. Returns: HTTPValidationError — {detail}

PUT /api/v1/admin/entrypoints/{entrypoint_id} — Update Entrypoint {#put-api-v1-admin-entrypoints-entrypoint-id}#

Update an entrypoint.

Parameters:

  • entrypoint_id (path, string, required)
  • authorization (header, string, optional)

Body: EntrypointUpdateRequest — {label, url_template, entry_type, icon + 4 more}

Responses:

  • 200 — Successful Response. Returns: ApiResponse_EntrypointResponse_ — {data, meta}
  • 422 — Validation Error. Returns: HTTPValidationError — {detail}
Updated 2026-05-18 01:48:40 View source (.md) rev 2